Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Slotkonflikt
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Fri Oct 06, 2017 8:08 am    Post subject: Slotkonflikt Reply with quote

Bei folgendem Konflikt auf meiner virtuellen Maschine bin ich etwas ratlos. Wie kann man das Problem lösen oder da strategisch an eine Lösung herangehen?


Quote:

gentoo ~ # emerge -pvuDN --with-bdeps=y --backtrack=30 @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-apps/baselayout-2.4.1-r2::gentoo [2.3::gentoo] USE="-build" 31 KiB
[ebuild U ] dev-libs/libatomic_ops-7.6.0::gentoo [7.4.2::gentoo] ABI_X86="(64%*) -32% (-x32)" 482 KiB
[ebuild U ] dev-lang/go-1.9.1:0/1.9.1::gentoo [1.8.3:0/1.8.3::gentoo] USE="(-gccgo)" 15,994 KiB
[ebuild U ] sys-devel/gcc-config-1.8-r1::gentoo [1.7.3::gentoo] 15 KiB
[ebuild U ] sys-libs/libunwind-1.2.1:7::gentoo [1.1-r1:7::gentoo] USE="static-libs* -debug -debug-frame -doc% -libatomic -lzma" ABI_X86="(64%*) -32% (-x32)" 763 KiB
[ebuild U ] sys-apps/coreutils-8.26::gentoo [8.25::gentoo] USE="acl nls xattr -caps -gmp -hostname -kill -multicall (-selinux) -static -vanilla" 5,724 KiB
[ebuild r U ] sys-libs/zlib-1.2.11-r1:0/1::gentoo [1.2.11:0/0::gentoo] USE="minizip -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild U ] dev-util/ragel-6.10::gentoo [6.7-r1::gentoo] USE="-vim-syntax" 1,205 KiB
[ebuild R ] dev-libs/openssl-1.0.2l::gentoo USE="asm bindist sslv3 tls-heartbeat zlib -gmp -kerberos -rfc3779 -sctp -sslv2 -static-libs {-test} -vanilla" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild rR ] media-libs/libpng-1.6.29:0/16::gentoo USE="apng (-neon) -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse" 0 KiB
[ebuild rR ] x11-libs/libpciaccess-0.13.4::gentoo USE="zlib -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild rR ] media-libs/tiff-4.0.8::gentoo USE="cxx jpeg zlib -jbig -lzma -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild U #] dev-libs/openssl-1.1.0f:0/1.1::gentoo [1.0.2l:0/0::gentoo] USE="asm zlib -bindist* -rfc3779 -sctp -static-libs {-test} -tls-heartbeat* -vanilla (-gmp%) (-kerberos%) (-sslv2%) (-sslv3%*)" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="(sse2)" 5,155 KiB
[ebuild rR ] media-libs/lcms-2.8-r1:2::gentoo USE="jpeg threads tiff zlib -doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild rR ] dev-lang/python-2.7.12:2.7::gentoo USE="gdbm ipv6 ncurses readline ssl (threads) (wide-unicode) xml (-berkdb) -build -doc -examples -hardened (-libressl) -sqlite -tk -wininst" 0 KiB
[ebuild rR ] dev-lang/python-3.4.5:3.4/3.4m::gentoo USE="gdbm ipv6 ncurses readline ssl (threads) xml -build -examples -hardened (-libressl) -sqlite -tk -wininst" 0 KiB
[ebuild rR ] dev-libs/libxml2-2.9.4-r3:2::gentoo USE="icu ipv6 python readline -debug -examples -lzma -static-libs {-test}" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_6)" 0 KiB
[ebuild U ] dev-python/pyparsing-2.2.0::gentoo [2.1.10::gentoo] USE="-doc -examples" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 1,204 KiB
[ebuild U ] sys-block/thin-provisioning-tools-0.7.0::gentoo [0.4.1::gentoo] USE="-static% {-test}" 226 KiB
[ebuild U ] dev-python/chardet-3.0.4::gentoo [2.3.0::gentoo] USE="{-test%}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 1,829 KiB
[ebuild U ] dev-python/PySocks-1.6.7::gentoo [1.5.6::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 277 KiB
[ebuild N ] dev-python/asn1crypto-0.22.0::gentoo USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 83 KiB
[ebuild U ] dev-python/docutils-0.13.1::gentoo [0.12::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 1,695 KiB
[ebuild U ] dev-python/cryptography-2.0.2::gentoo [1.7.1::gentoo] USE="(-libressl) {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 418 KiB
[ebuild U ] dev-python/pyopenssl-17.2.0::gentoo [16.2.0::gentoo] USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 167 KiB
[ebuild U ] dev-python/urllib3-1.22::gentoo [1.16::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 221 KiB
[ebuild U ] dev-python/requests-2.18.2-r1::gentoo [2.12.5::gentoo] USE="ssl%* -socks5% {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 123 KiB
[ebuild rR ] media-libs/openjpeg-2.2.0:2/7::gentoo USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild rR ] sys-devel/llvm-3.9.1-r1:0/3.9.1::gentoo USE="clang libffi ncurses python sanitize static-analyzer xml -debug -default-compiler-rt -default-libcxx -doc -gold -libedit (-lldb) -multitarget -ocaml {-test}" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild U ] dev-lang/ruby-2.2.8:2.2::gentoo [2.2.7-r4:2.2::gentoo] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc (-libressl) -rubytests -socks5 -tk -xemacs" 10,280 KiB
[ebuild U ] dev-ruby/rubygems-2.6.13::gentoo [2.5.2::gentoo] USE="-server {-test}" RUBY_TARGETS="ruby22 (-ruby23) (-ruby24)" 751 KiB
[ebuild rR ] dev-db/mariadb-10.1.26:0/18::gentoo USE="backup bindist cracklib openssl pam perl server xml -debug -embedded -extraengine -galera -innodb-lz4 -innodb-lzo -innodb-snappy -jdbc -jemalloc -kerberos -latin1 (-libressl) (-mroonga) -odbc -oqgraph -profiling (-selinux) -sphinx -sst-rsync -sst-xtrabackup -static -static-libs -systemd -systemtap -tcmalloc {-test} -tokudb -yassl" ABI_X86="(64) -32 (-x32)" 305 KiB
[ebuild R ] dev-qt/qtsql-4.8.7-r1:4::gentoo USE="exceptions qt3support sqlite (-aqua) -debug -freetds -mysql* -oci8 -odbc -pch -postgres" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild U ] dev-util/kbuild-0.1.9998_pre20131130-r1::gentoo [0.1.9998_pre20131130::gentoo] 8 KiB
[ebuild U ] net-dns/libidn2-2.0.4::gentoo [2.0.2::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 1,962 KiB
[ebuild rR ] app-text/ghostscript-gpl-9.21::gentoo USE="X cups dbus gtk tiff unicode -static-libs" L10N="-de -ja -ko -zh-CN -zh-TW" 0 KiB
[ebuild U ] app-text/poppler-0.57.0:0/68::gentoo [0.45.0:0/62::gentoo] USE="cairo cxx introspection jpeg jpeg2k lcms png qt4 qt5 tiff utils -cjk -curl -debug -doc -nss (-cairo-qt%)" 1,664 KiB
[ebuild U ] net-print/cups-filters-1.16.4::gentoo [1.13.5::gentoo] USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup% -perl -static-libs -zeroconf" 1,408 KiB
[ebuild U ~] app-emulation/virtualbox-guest-additions-5.1.28::gentoo [5.1.26::gentoo] USE="X" 113,699 KiB
[ebuild U ~] x11-drivers/xf86-video-virtualbox-5.1.28::gentoo [5.1.26::gentoo] USE="dri" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild rR ] net-misc/openssh-7.5_p1-r1::gentoo USE="X bindist hpn ldap pam pie ssl -X509 -audit -debug -kerberos -ldns -libedit (-libressl) -livecd -sctp (-selinux) -skey -ssh1 -static {-test}" 0 KiB
[ebuild U ] sys-auth/polkit-0.113-r4::gentoo [0.113::gentoo] USE="gtk introspection kde nls pam (-elogind) -examples -jit (-selinux) -systemd {-test}" 0 KiB
[ebuild rR ] sys-auth/consolekit-1.1.2::gentoo USE="acl pam (policykit) udev -cgroups -debug -doc -evdev -pm-utils (-selinux) {-test}" 0 KiB

Total: 43 packages (27 upgrades, 1 new, 15 reinstalls), Size of downloads: 165,677 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

(dev-libs/openssl-1.0.2l:0/0::gentoo, ebuild scheduled for merge) pulled in by
>=dev-libs/openssl-0.9.8:0/0= required by (dev-python/m2crypto-0.24.0:0/0::gentoo, installed)
^^^^^
dev-libs/openssl:0[bindist=] required by (dev-qt/qtnetwork-5.7.1:5/5.7::gentoo, installed)
^^^^^^^^
>=dev-libs/openssl-1.0.1:0=[bindist=] required by (net-misc/openssh-7.5_p1-r1:0/0::gentoo, ebuild scheduled for merge)
^^^^^^^^
(and 13 more with the same problems)

(dev-libs/openssl-1.1.0f:0/1.1::gentoo, ebuild scheduled for merge) pulled in by
>=dev-libs/openssl-1.0.2:0=[-bindist(-)] required by (dev-python/cryptography-2.0.2:0/0::gentoo, ebuild scheduled for merge)


NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following packages are causing rebuilds:

(sys-libs/zlib-1.2.11-r1:0/1::gentoo, ebuild scheduled for merge) causes rebuilds for:
(dev-lang/python-3.4.5:3.4/3.4m::gentoo, ebuild scheduled for merge)
(dev-lang/python-2.7.12:2.7/2.7::gentoo, ebuild scheduled for merge)
(sys-auth/consolekit-1.1.2:0/0::gentoo, ebuild scheduled for merge)
(dev-db/mariadb-10.1.26:0/18::gentoo, ebuild scheduled for merge)
(media-libs/lcms-2.8-r1:2/2::gentoo, ebuild scheduled for merge)
(media-libs/openjpeg-2.2.0:2/7::gentoo, ebuild scheduled for merge)
(dev-libs/libxml2-2.9.4-r3:2/2::gentoo, ebuild scheduled for merge)
(app-text/ghostscript-gpl-9.21:0/0::gentoo, ebuild scheduled for merge)
(media-libs/tiff-4.0.8:0/0::gentoo, ebuild scheduled for merge)
(net-misc/openssh-7.5_p1-r1:0/0::gentoo, ebuild scheduled for merge)
(sys-devel/llvm-3.9.1-r1:0/3.9.1::gentoo, ebuild scheduled for merge)
(x11-libs/libpciaccess-0.13.4:0/0::gentoo, ebuild scheduled for merge)
(media-libs/libpng-1.6.29:0/16::gentoo, ebuild scheduled for merge)

The following keyword changes are necessary to proceed:
(see "package.accept_keywords" in the portage(5) man page for more details)
# required by dev-db/mariadb-10.1.26::gentoo[openssl]
# required by @__auto_slot_operator_replace_installed__ (argument)
=dev-libs/openssl-1.1.0f ~amd64

The following mask changes are necessary to proceed:
(see "package.unmask" in the portage(5) man page for more details)
# required by dev-db/mariadb-10.1.26::gentoo[openssl]
# required by @__auto_slot_operator_replace_installed__ (argument)
# /usr/portage/profiles/package.mask:
# Lars Wendler <polynomial-c@gentoo.org> (26 Aug 2016)
# Masked while being tested and reverse deps aren't fully compatible
=dev-libs/openssl-1.1.0f

The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by dev-qt/qtnetwork-5.7.1::gentoo[ssl]
# required by kde-apps/dolphin-plugins-17.04.3::gentoo
# required by @selected
# required by @world (argument)
=dev-libs/openssl-1.0.2l bindist

NOTE: The --autounmask-keep-masks option will prevent emerge
from creating package.unmask or ** keyword changes.

* In order to avoid wasting time, backtracking has terminated early
* due to the above autounmask change(s). The --autounmask-backtrack=y
* option can be used to force further backtracking, but there is no
* guarantee that it will produce a solution.


_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Fri Oct 06, 2017 8:50 am    Post subject: Reply with quote

Erdie, als erstes würde ich prüfen ob man wirklich mit USE=bindist bauen muss (ist nicht default). bindist braucht man eigentlich nur wenn man die Binarys an fremde Leute weitergeben möchte - ist das bei dir wirklich der Fall?
Falls nein, dann entferne am besten USE=bindist aus der make.conf und package.use (schau zb via grep -r bindist /etc/portage/), damit sollte portage dann sauber auflösen können.

Falls du tatsächlich mit USE=bindist bauen möchtest:
1) Dann nutze den Tip von portage "NOTE: Use the '--verbose-conflicts' option to display parents omitted above"
daraus sollte dann genauer ersichtlich werden wie es zu dem Konflikt kommt.
2) Und, vorsicht mit dem (leider per default enabled) --autoumask=y
siehe zb "[ebuild U #] dev-libs/openssl-1.1.0f:0/1.1::gentoo [1.0.2l:0/0::gentoo] USE="asm zlib -bindist*[...]"
das ist ein Upgrade auf eine noch hart maskierte openssl-1.1 Version, die bei vielen Paketen noch inkompatibel ist,
das ist so sicherlich nicht wirklich erwünscht.
Nimm zunächst am besten erst mal die emerge Option --autounmask=n mit hinzu, damit bekommst idR wesentlich bessere Ergebnisse.
Oder, beherzige den Tipp den portage selbst auch schon mitgibt
Quote:
NOTE: The --autounmask-keep-masks option will prevent emerge
from creating package.unmask or ** keyword changes.


Aber ok, am besten erst mal prüfen ob du wirklich mit bindist bauen möchtest :)

/edit: Und, nutze für Code aus der Shell hier im Forum doch bitte besser die code tags, anstatt die quote tags - ist dann meist deutlich besser lesbar, da nicht formatiert wird.
Back to top
View user's profile Send private message
Erdie
Advocate
Advocate


Joined: 20 May 2004
Posts: 2032
Location: Heidelberg - Germany

PostPosted: Fri Oct 06, 2017 11:30 am    Post subject: Reply with quote

Ok, danke. Das mit dem bindist wußte ich nicht. Die Maschine hatte ich aus einem fertigen VM gentoo image aufgebaut von osboxes.org. Wenn das so ist brauche ich bindist nicht. Ich habe das erstmal entfernt und warte auf der Ergebnis (es nudelt gerade). Das mit der Formatierung war ein Versehen, sorry.


EDIT: Ohne bindist ist der Konflikt nicht existent. Damit hat sich das Problem gelöst. Danke.
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum